antiprism-0.23
Up Next

# UNSUPPORTED: spidron - spidronise a polyhedron

Usage | Examples | Notes

## Usage

    Usage: spidron [options] [input_file]

    Read a file in OFF format and convert to model built from spidron units.
    If input_file is not given the program reads from standard input.

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -l <len>  unit length, half the number of triangles from edge to centre
      -t <type> folding type, 1 - spidronmyd (default)
      -a <ang>  angle of first triangle (default: 30)
      -b <ang>  angle of second triangle (default: two times angle of option -a)
      -p <pat>  folding pattern, a series of 0's and 1's, to old in or out
                (default: 01)
      -o <file> write output to file (default: write to standard output)

## Examples

Default, an in out pattern

    spidron dod | antiview -v 0.01

Out only, to points

    spidron dod -a 60 -b 72 -p 1 | antiview -v 0.01

Out only, flaring out

    spidron dod -a 72 -b 60 -p 1 | antiview -v 0.1

Colour is taken from the base model edges

    off_color dod -e P -m map_red:orange:white | spidron -a 60 -b 72 -p 1 | antiview

## Notes

The spidron program makes spidron pyramid-style models based on Dániel Erdély's Spidron.

The program does not include the spidron-nest construction.

Spidron units are coloured according to the colours of the corresponding edges on the base polyhedron.

Up: Programs and Documentation
Next: UNSUPPORTED: off2txt - convert an OFF file to Hedron format